package lora

import (
	"git.huangwc.com/pig/pig-farm-controller/internal/infra/logs"
	"git.huangwc.com/pig/pig-farm-controller/internal/infra/transport"
)

type PlaceholderTransport struct {
	logger *logs.Logger
}

func NewPlaceholderTransport(logger *logs.Logger) transport.Listener {
	logger.Info("当前配置非 LoRaMesh, LoRaMesh UART 透传传输器未激活。")
	return &PlaceholderTransport{
		logger: logger,
	}
}

func (p *PlaceholderTransport) Listen() error {
	p.logger.Warnf("当前不是LoRa Mesh 模式, 这只是个占位监听器")
	return nil
}

func (p *PlaceholderTransport) Stop() error {
	p.logger.Warnf("当前不是LoRa Mesh 模式, 占位监听器停止工作")
	return nil
}
